bigip_remote_role – Manage remote roles on a BIG-IP — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_remote_role – Manage remote roles on a BIG-IP

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages remote roles on a BIG-IP. Remote roles are used in situations where user authentication is handled off-box. Local access control to the BIG-IP is controlled by the defined remote role. Where-as authentication (and by extension, assignment to the role) is handled off-box.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
assigned_role string |  | Specifies the authorization (level of access) for the account. When creating a new remote role, if this parameter is not provided, the default is `none`. The `partition_access` parameter controls which partitions the account can access. The chosen role may affect the partitions that one is allowed to specify. Specifically, roles such as `administrator`, `auditor` and `resource-administrator` required a `partition_access` of `all`. A set of pre-existing roles ship with the system. They are `none`, `guest`, `operator`, `application-editor`, `manager`, `certificate-manager`, `irule-manager`, `user-manager`, `resource-administrator`, `auditor`, `administrator`, `firewall-manager`.
attribute_string string |  | Specifies the user account attributes saved in the group, in the format `cn=, ou=, dc=`. When creating a new remote role, this parameter is required.
line_order integer |  | Specifies the order of the line in the file `/config/bigip/auth/remoterole`. The LDAP and Active Directory servers read this file line by line. The order of the information is important; therefore, F5 recommends that you set the first line at 1000. This allows you, in the future, to insert lines before the first line. When creating a new remote role, this parameter is required.
name string / required |  | Specifies the name of the remote role.
partition_access string |  | Specifies the accessible partitions for the account. This parameter supports the reserved names `all` and `Common`, as well as specific partitions a user may access. Users who have access to a partition can operate on objects in that partition, as determined by the permissions conferred by the user's `assigned_role`. When creating a new remote role, if this parameter is not specified, the default is `all`.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
remote_access boolean | Choices: no yes | Enables or disables remote access for the specified group of remotely authenticated users. When creating a new remote role, if this parameter is not specified, the default is `yes`.
state string | Choices: absent present ← | When `present`, guarantees that the remote role exists. When `absent`, removes the remote role from the system.
terminal_access string |  | Specifies terminal-based accessibility for remote accounts not already explicitly assigned a user role. Common values for this include `tmsh` and `none`, however custom values may also be specified. When creating a new remote role, if this parameter is not specified, the default is `none`.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a remote role
      bigip_remote_role:
        name: foo
        group_name: ldap_group
        line_order: 1
        attribute_string: memberOf=cn=ldap_group,cn=ldap.group,ou=ldap
        remote_access: enabled
        assigned_role: administrator
        partition_access: all
        terminal_access: none
        state: present
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
assigned_role string | changed | System role that this remote role is associated with. Sample: administrator
attribute_string string | changed | The new attribute string of the resource. Sample: memberOf=cn=ldap_group,cn=ldap.group,ou=ldap
line_order integer | changed | Order of the remote role for LDAP and Active Directory servers. Sample: 1000
partition_access string | changed | Partition that the role has access to. Sample: all
remote_access boolean | changed | Whether remote access is allowed or not.
terminal_access string | changed | The terminal setting of the remote role. Sample: tmsh

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.